KDE 4.9 PyKDE API Reference

- KDE's Python API

# AgentInstance Class Reference

`from PyKDE4.akonadi import *`

Namespace: Akonadi

## Detailed Description

A representation of an agent instance.

The agent instance is a representation of a running agent process. It provides information about the instance and a reference to the AgentType of that instance.

All available agent instances can be retrieved from the AgentManager.

     Akonadi.AgentInstance.List instances = Akonadi.AgentManager.self()->instances();
     foreach ( const Akonadi.AgentInstance &instance, instances ) {
       qDebug() << "Name:" << instance.name() << "(" << instance.identifier() << ")";
     }

Author:
  Tobias Koenig <tokoe@kde.org>

## Enumerations

Status | { Idle, Running, Broken }

## Methods

| __init__ (self)
| __init__ (self, Akonadi.AgentInstance other)
| abortCurrentTask (self)
| configure (self, QWidget parent=0)
QString | identifier (self)
bool | isOnline (self)
bool | isValid (self)
QString | name (self)
bool | operator == (self, Akonadi.AgentInstance other)
int | progress (self)
| reconfigure (self)
| restart (self)
| setIsOnline (self, bool online)
| setName (self, QString name)
Akonadi.AgentInstance.Status | status (self)
QString | statusMessage (self)
| synchronize (self)
| synchronizeCollectionTree (self)
Akonadi.AgentType | type (self)

## Method Documentation

__init__ | ( |  | self ) |

Creates a new agent instance object.

__init__ | ( | self, |
|  | Akonadi.AgentInstance | other
| ) |  |  |

Creates an agent instance from an other agent instance.

abortCurrentTask | ( |  | self ) |

Tell the agent to abort its current operation.

Since:
  4.4

configure | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Triggers the agent instance to show its configuration dialog.

Parameters:

  | parent | Parent window for the configuration dialog.

QString identifier | ( |  | self ) |

Returns the unique identifier of the agent instance.

bool isOnline | ( |  | self ) |

Returns whether the agent instance is online currently.

bool isValid | ( |  | self ) |

Returns whether the agent instance object is valid.

QString name | ( |  | self ) |

Returns the user visible name of the agent instance.

bool operator == | ( | self, |
|  | Akonadi.AgentInstance | other
| ) |  |  |

Internal:

int progress | ( |  | self ) |

Returns the progress of the agent instance in percent, or -1 if no progress information are available.

reconfigure | ( |  | self ) |

Tell the agent that its configuration has been changed remotely via D-Bus

restart | ( |  | self ) |

Restart the agent process.

setIsOnline | ( | self, |
|  | bool | online
| ) |  |  |

Sets online status of the agent instance.

setName | ( | self, |
|  | QString | name
| ) |  |  |

Sets the user visible name of the agent instance.

Akonadi.AgentInstance.Status status | ( |  | self ) |

Returns the status of the agent instance.

QString statusMessage | ( |  | self ) |

Returns a textual presentation of the status of the agent instance.

synchronize | ( |  | self ) |

Triggers the agent instance to start synchronization.

synchronizeCollectionTree | ( |  | self ) |

Triggers a synchronization of the collection tree by the given agent instance.

Akonadi.AgentType type | ( |  | self ) |

Returns the agent type of this instance.

## Enumeration Documentation

Status

Describes the status of the agent instance.

Enumerator:

  Idle = 0 |
  Running |
  Broken |